/**
 * Copyright (c) 2012 Research In Motion Limited.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at:
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/*global window, document, console */

(function () {
    'use strict';

    var c = {
        COCOS2D_DEBUG: 2,			/* 0 = OFF, 1 = BASIC, 2 = FULL */
        box2d: false,				/* Are we using the Box2D physics engine? */
        showFPS: true,				/* Are we displaying our FPS metric on the screen? */
        frameRate: 60,				/* Our target FPS. */
        tag: 'ccCanvas',			/* The <canvas> id defined in index.html. */
        engineDir: './cocos2d/',	/* Path to the Cocos2d-HTML5 framework. */
        appFiles: [
			'./CocosApp.js',		/* Our main application file. */
			'./ControlsOverlay.js'	/* Used for virtual Joysticks and Buttons. */
		]
    };

    window.addEventListener('DOMContentLoaded', function () {
        var script = document.createElement('script');
        script.id = 'cocos2d-html5';
        script.c = c;
        script.src = c.engineDir + 'platform/jsloader.js';
        document.body.appendChild(script);
    }, false);
}());