/**
 * Copyright (c) 2012 Research In Motion Limited.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at:
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/*global window, document, console, cc, CocosAppScene */

var Cocos2dApp = cc.Application.extend({
    config: document.querySelector('#cocos2d-html5').c,

    ctor: function (scene) {
		'use strict';

        this._super();
        this.startScene = scene;

        cc.COCOS2D_DEBUG = this.config.COCOS2D_DEBUG;
        cc.setup(this.config.tag);

        cc.Loader.shareLoader().onloading = function () {
            cc.LoaderScene.shareLoaderScene().draw();
        };

        cc.Loader.shareLoader().onload = function () {
            cc.AppController.shareAppController().didFinishLaunchingWithOptions();
        };

        cc.Loader.shareLoader().preload([
            {type: 'image', src: './Resources/controls_overlay/dpad.png'},
            {type: 'image', src: './Resources/controls_overlay/pad.png'},
            {type: 'image', src: './Resources/controls_overlay/buttonred.png'},
            {type: 'image', src: './Resources/controls_overlay/buttongreen.png'},
            {type: 'image', src: './Resources/controls_overlay/buttonblue.png'},
            {type: 'image', src: './Resources/controls_overlay/buttonyellow.png'}
        ]);
    },

    applicationDidFinishLaunching: function () {
        'use strict';

		var director = cc.Director.getInstance();
        director.setDisplayStats(this.config.showFPS);
        director.setAnimationInterval(1.0 / this.config.frameRate);
        director.runWithScene(new this.startScene());

        return true;
    }
});

var myApp = new Cocos2dApp(CocosAppScene);